Subject: Re: SOS: Phone System Down?
From: Rebecca Dybala <[email-masked]>
To: Saurabh Dadu <[email-masked]>
Cc: release <[email-masked]>
Date: Wed, 23 Feb 2022 10:24:21 -0500

Ok, it seems to be working now. 
For future reference, is the froggy long distance you guys?

Rebecca Dybala
HR Manager
[email-masked]
508-986-2330 Ext. 105
201 Turnpike Rd Westborough, MA 01581
www.releasewellbeingcenter.com

> On Feb 23, 2022, at 10:17 AM, Saurabh Dadu <[email-masked]> wrote:
> 
> Our systems are ok getting it checked
> 
> Regards,
> 
> Saurabh Dadu
> LiveSalesman
> 
>> On 23-Feb-2022, at 6:05 PM, Rebecca Dybala <[email-masked]> wrote:
>> 
>> 
>> Hi there,
>> We are noticing that the phone lines are completely down. When someone calls in to the main line, they get a message about “froggy network long distance service” it says this multiple times and then another message comes on and says “due to heavy calls, we cannot take your call"
>> I have never even heard of any of this before, so I am wondering if that is something on your end? I am also reaching out to wind stream but as of right now, no one can get through to us.
>> 
>> 
>> 
>> 
>> 
>> Rebecca Dybala
>> HR Manager
>> [email-masked] <mailto:[email-masked]>
>> 508-986-2330 Ext. 105
>> 201 Turnpike Rd Westborough, MA 01581
>> www.releasewellbeingcenter.com <http://www.releasewellbeingcenter.com/>
>> 
>> 
>>